pub mod price_result;
pub mod parser;
pub mod price_checker;

use price_result::PriceResult;
use price_checker::PriceChecker;
use url::Url;

fn main() {
	let price_checker = PriceChecker::new();

    let price_result = price_checker.get_price(Url::parse("https://www.darty.com/nav/achat/gros_electromenager/refrigerateur-congelateur-refrigerateur-cong/refrigerateur-congelateur_bas/samsung_rb33n300nsa_ef.html").unwrap());
    println!("{}", price_result);
}

